package data_input

import "rdluck_tools/orm"

type AdminIndustry struct {
	AdminId      int
	IndustryType string
}

func GetAdminIndustryAll() (list []*AdminIndustry,err error) {
	o := orm.NewOrm()
	sql := ` SELECT * FROM admin_industry `
	_, err = o.Raw(sql).QueryRows(&list)
	return
}

func GetAdminIndustryByAdminId(adminId int) (item *AdminIndustry,err error) {
	o := orm.NewOrm()
	sql := ` SELECT * FROM admin_industry WHERE admin_id=? `
	err = o.Raw(sql,adminId).QueryRow(&item)
	return
}