package data_input

import "rdluck_tools/orm"

type IndustryItem struct {
	IndustryName string
}

func GetAllIndustry() (list []*IndustryItem, err error) {
	o := orm.NewOrm()
	o.Using("data")
	sql := ` SELECT SUBSTRING_INDEX(a.industry_type,'|',1) AS industry_name FROM trade_info AS a
			INNER JOIN field_info AS b ON a.trade_name=b.trade_name
			WHERE b.data_source='非标数据' 
			GROUP BY SUBSTRING_INDEX(a.industry_type,'|',1)
			ORDER BY a.industry_type ASC `
	_, err = o.Raw(sql).QueryRows(&list)
	return
}

type AllIndustryResp struct {
	List []*IndustryItem
}